Emitted when a RealTimeModel is subscribed to for offline availability and the user no longer has permissions to read the model.

experimental

### Hierarchy

- OfflineModelPermissionsRevokedEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- id
- name
- NAME

## Properties

### id

id: string

The id of the model from which permissions were revoked.

### name

name: string = OfflineModelPermissionsRevokedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### StaticNAME

NAME: "offline_model_permissions_revoked" = "offline_model_permissions_revoked"